import { EventEmitter, OnInit } from '@angular/core';
import { OpcionFiltroBandejaCrud } from '../models';
export declare class BandejaCrudComponent implements OnInit {
    titulo: string;
    comentarioTitulo: string;
    etiquetaFiltros: string;
    etiquetaResultados: string;
    mostrarBuscar: boolean;
    mostrarLimpiar: boolean;
    mostrarAgregar: boolean;
    mostrarDescargarExcel: boolean;
    mostrarDescargarPDF: boolean;
    filtroFlotante: boolean;
    opcionesFiltro: OpcionFiltroBandejaCrud[];
    opcionFiltroDefecto: any;
    buscarClick: EventEmitter<any>;
    limpiarClick: EventEmitter<any>;
    agregarClick: EventEmitter<any>;
    descargarExcelClick: EventEmitter<any>;
    descargarPDFClick: EventEmitter<any>;
    cambioSeleccionFiltro: EventEmitter<OpcionFiltroBandejaCrud>;
    filtroFlotanteVisible: boolean;
    opcionFiltroSeleccionada: any;
    constructor();
    ngOnInit(): void;
    buscar(emit?: boolean): void;
    limpiar(): void;
    agregar(): void;
    descargarExcel(): void;
    descargarPDF(): void;
    cerrarFiltroFlotante(): void;
    cambiarSeleccion(o: OpcionFiltroBandejaCrud): void;
}
