import { EventEmitter, OnInit } from '@angular/core';
import { BotonDT, ColumnaTabla, EventoBotonDT, PeticionHTTP } from '../models';
import { AppService } from '../app.service';
export declare class DataTableComponent implements OnInit {
    private srvAplicacion;
    columnas: ColumnaTabla[];
    filasOriginales: any[];
    filas: any[];
    set registros(valores: any[]);
    registroInicial: number;
    registroFinal: number;
    totalRegistros: number;
    paginaActual: number;
    peticionHTTP: PeticionHTTP;
    urlDescarga: string;
    mostrarAcciones: boolean;
    accionesAgrupadas: boolean;
    etiquetaAcciones: string;
    claseTabla: string;
    botones: BotonDT[];
    columnaCheck: any;
    _tamanioPagina: number;
    set tamanioPagina(valor: number);
    tamaniosPagina: number[];
    paginar: boolean;
    mostrarEditar: boolean;
    editarClick: EventEmitter<any>;
    mostrarEliminar: boolean;
    eliminarClick: EventEmitter<any>;
    finRefrescar: EventEmitter<any>;
    botonClick: EventEmitter<EventoBotonDT>;
    filaCheck: EventEmitter<any>;
    filasCheck: EventEmitter<any>;
    filaSeleccionada: number;
    cargando: boolean;
    constructor(srvAplicacion: AppService);
    ngOnInit(): void;
    seleccionarFila(indiceFila: number): void;
    editar(registro: any): void;
    eliminar(registro: any): void;
    onBotonClick(boton: BotonDT, indiceFila: number, registro: any): void;
    mostrarBoton(boton: BotonDT, fila: any, indiceFila: number): boolean;
    claseDinamica(columna: ColumnaTabla, indice: number): string;
    descargarClick(): void;
    cambioNgbPagina(): void;
    limpiar(): void;
    refrescar(peticion: PeticionHTTP): void;
    obtenerFilasCheckMarcado(): any[];
    marcarFila(fila: any, evento: any): void;
    marcarTotalFilas(evento: any): void;
}
