import { OnInit } from '@angular/core';
import { FormGroup } from '@angular/forms';
import { ActivatedRoute, Router } from '@angular/router';
import { DataTableComponent } from '../data-table/data-table.component';
import { BandejaCrudComponent } from './bandeja-crud.component';
export declare class BandejaCRUD implements OnInit {
    router: Router;
    route: ActivatedRoute;
    dtListado?: DataTableComponent;
    crudComponent?: BandejaCrudComponent;
    frmBusqueda: FormGroup;
    urlListarBandeja: string;
    constructor(router: Router, route: ActivatedRoute);
    ngAfterViewInit(): void;
    ngOnInit(): void;
    formularioFiltroVacio(exclude?: string[]): boolean;
    limpiar(): void;
    ejecutarBuscar(datosAdicionales?: any): void;
    mostrarFormulario(accion: string, parametros?: any): void;
    mostrarAgregar(parametros?: any): void;
    mostrarEditar(parametros?: any): void;
}
