import { EventEmitter, OnInit } from '@angular/core';
import { FormGroup } from '@angular/forms';
import { QueryResult } from '../models';
import { AppService } from '../app.service';
export declare class EditorSqlComponent implements OnInit {
    private srvApplication;
    form: FormGroup;
    queryResult: QueryResult;
    error: string;
    endpoint: string;
    mostrarExportar: boolean;
    mostrarCargando: boolean;
    onQuery: EventEmitter<string>;
    constructor(srvApplication: AppService);
    ngOnInit(): void;
    ejecutarConsulta(): void;
    limpiar(): void;
    exportar(): void;
}
