import { AfterViewInit, EventEmitter, OnDestroy } from '@angular/core';
import { FormGroup } from '@angular/forms';
import { ActivatedRoute, Params, Router } from '@angular/router';
import { Subscription } from 'rxjs';
import { ModalComponent } from './modal.component';
export declare class FormularioCRUD implements AfterViewInit, OnDestroy {
    route: ActivatedRoute;
    router: Router;
    modal: ModalComponent;
    tituloAgregar: string;
    tituloEditar: string;
    tituloFormulario: string;
    finalizado: EventEmitter<any>;
    subsParametros$: Subscription;
    frmDatos: FormGroup;
    accion: string;
    esEdicion: boolean;
    constructor(route: ActivatedRoute, router: Router);
    ngAfterViewInit(): void;
    permitirMostrar(params: Params): boolean;
    mostrar(params: Params): void;
    accionesAgregar(params: Params): void;
    accionesEditar(params: Params): void;
    regresarAlPadre(): void;
    validar: () => boolean;
    ngOnDestroy(): void;
}
